
Tom Rini <trini@kernel.crashing.org>

- Remove saved_command_line (and saving of the command line).
- Call parse_early_options


---

 25-akpm/arch/alpha/kernel/setup.c       |    4 ++--
 25-akpm/arch/alpha/kernel/vmlinux.lds.S |    5 +++++
 25-akpm/include/asm-alpha/setup.h       |    6 ++++++
 25-akpm/include/asm-alpha/system.h      |    1 -
 4 files changed, 13 insertions(+), 3 deletions(-)

diff -puN arch/alpha/kernel/setup.c~early-param-alpha arch/alpha/kernel/setup.c
--- 25/arch/alpha/kernel/setup.c~early-param-alpha	2004-04-04 17:00:07.903552112 -0700
+++ 25-akpm/arch/alpha/kernel/setup.c	2004-04-04 17:00:07.910551048 -0700
@@ -57,6 +57,7 @@ static struct notifier_block alpha_panic
 #include <asm/io.h>
 #include <asm/mmu_context.h>
 #include <asm/console.h>
+#include <asm/setup.h>
 
 #include "proto.h"
 #include "pci_impl.h"
@@ -122,7 +123,6 @@ static void get_sysnames(unsigned long, 
 static void determine_cpu_caches (unsigned int);
 
 static char command_line[COMMAND_LINE_SIZE];
-char saved_command_line[COMMAND_LINE_SIZE];
 
 /*
  * The format of "screen_info" is strange, and due to early
@@ -534,8 +534,8 @@ setup_arch(char **cmdline_p)
 	} else {
 		strlcpy(command_line, COMMAND_LINE, sizeof command_line);
 	}
-	strcpy(saved_command_line, command_line);
 	*cmdline_p = command_line;
+	parse_early_options(cmdline_p);
 
 	/* 
 	 * Process command-line arguments.
diff -puN arch/alpha/kernel/vmlinux.lds.S~early-param-alpha arch/alpha/kernel/vmlinux.lds.S
--- 25/arch/alpha/kernel/vmlinux.lds.S~early-param-alpha	2004-04-04 17:00:07.905551808 -0700
+++ 25-akpm/arch/alpha/kernel/vmlinux.lds.S	2004-04-04 17:00:07.910551048 -0700
@@ -46,6 +46,11 @@ SECTIONS
   __setup_end = .;
 
   . = ALIGN(8);
+  __early_begin = .;
+  __early_param : { *(__early_param) }
+  __early_end = .;
+
+  . = ALIGN(8);
   __start___param = .;
   __param : { *(__param) }
   __stop___param = .;
diff -puN /dev/null include/asm-alpha/setup.h
--- /dev/null	2003-09-15 06:40:47.000000000 -0700
+++ 25-akpm/include/asm-alpha/setup.h	2004-04-04 17:00:07.911550896 -0700
@@ -0,0 +1,6 @@
+#ifndef __ALPHA_SETUP_H
+#define __ALPHA_SETUP_H
+
+#define COMMAND_LINE_SIZE	256
+
+#endif
diff -puN include/asm-alpha/system.h~early-param-alpha include/asm-alpha/system.h
--- 25/include/asm-alpha/system.h~early-param-alpha	2004-04-04 17:00:07.906551656 -0700
+++ 25-akpm/include/asm-alpha/system.h	2004-04-04 17:00:07.912550744 -0700
@@ -43,7 +43,6 @@
  */
 #define PARAM			ZERO_PGE
 #define COMMAND_LINE		((char*)(PARAM + 0x0000))
-#define COMMAND_LINE_SIZE	256
 #define INITRD_START		(*(unsigned long *) (PARAM+0x100))
 #define INITRD_SIZE		(*(unsigned long *) (PARAM+0x108))
 

_
